#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#

# Below is the script used to generate a new source file
# from the resource-agent upstream git repo.
#
# TAG=$(git log --pretty="format:%h" -n 1)
# distdir="ClusterLabs-resource-agents-${TAG}"
# TARFILE="${distdir}.tar.gz"
# rm -rf $TARFILE $distdir
# git archive --prefix=$distdir/ HEAD | gzip > $TARFILE
#

%global upstream_prefix ClusterLabs-resource-agents
%global upstream_version e711383f

# bundles
%global bundled_lib_dir		bundled
## google cloud
# google-cloud-sdk bundle
%global googlecloudsdk		google-cloud-sdk
%global googlecloudsdk_version	241.0.0
%global googlecloudsdk_dir	%{bundled_lib_dir}/gcp/%{googlecloudsdk}
# python-httplib2 bundle
%global httplib2		httplib2
%global httplib2_version	0.18.1
%global httplib2_dir		%{bundled_lib_dir}/gcp/%{httplib2}
# python-pyroute2 bundle
%global pyroute2		pyroute2
%global pyroute2_version	0.4.13
%global pyroute2_dir		%{bundled_lib_dir}/gcp/%{pyroute2}
## alibaba cloud
# python-colorama bundle
%global colorama		colorama
%global colorama_version	0.3.3
%global colorama_dir		%{bundled_lib_dir}/aliyun/%{colorama}
# python-pycryptodome bundle
%global pycryptodome		pycryptodome
%global pycryptodome_version	3.6.4
%global pycryptodome_dir	%{bundled_lib_dir}/aliyun/%{pycryptodome}
# python-aliyun-sdk-core bundle
%global aliyunsdkcore		aliyun-python-sdk-core
%global aliyunsdkcore_version	2.13.1
%global aliyunsdkcore_dir	%{bundled_lib_dir}/aliyun/%{aliyunsdkcore}
# python-aliyun-sdk-ecs bundle
%global aliyunsdkecs		aliyun-python-sdk-ecs
%global aliyunsdkecs_version	4.9.3
%global aliyunsdkecs_dir	%{bundled_lib_dir}/aliyun/%{aliyunsdkecs}
# python-aliyun-sdk-vpc bundle
%global aliyunsdkvpc		aliyun-python-sdk-vpc
%global aliyunsdkvpc_version	3.0.2
%global aliyunsdkvpc_dir	%{bundled_lib_dir}/aliyun/%{aliyunsdkvpc}
# aliyuncli bundle
%global aliyuncli		aliyun-cli
%global aliyuncli_version	2.1.10
%global aliyuncli_dir		%{bundled_lib_dir}/aliyun/%{aliyuncli}

# determine the ras-set to process based on configure invokation
%bcond_with rgmanager
%bcond_without linuxha

Name:		resource-agents
Summary:	Open Source HA Reusable Cluster Resource Scripts
Version:	4.1.1
Release:	90%{?rcver:%{rcver}}%{?numcomm:.%{numcomm}}%{?alphatag:.%{alphatag}}%{?dirty:.%{dirty}}%{?dist}.7
License:	GPLv2+ and LGPLv2+
URL:		https://github.com/ClusterLabs/resource-agents
%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
Group:		System Environment/Base
%else
Group:		Productivity/Clustering/HA
%endif
Source0:	%{upstream_prefix}-%{upstream_version}.tar.gz
Source1:	%{googlecloudsdk}-%{googlecloudsdk_version}-linux-x86_64.tar.gz
Source2:	%{httplib2}-%{httplib2_version}.tar.gz
Source3:	%{pyroute2}-%{pyroute2_version}.tar.gz
Source4:	%{colorama}-%{colorama_version}.tar.gz
Source5:	%{pycryptodome}-%{pycryptodome_version}.tar.gz
Source6:	%{aliyunsdkcore}-%{aliyunsdkcore_version}.tar.gz
Source7:	%{aliyunsdkecs}-%{aliyunsdkecs_version}.tar.gz
Source8:	%{aliyunsdkvpc}-%{aliyunsdkvpc_version}.tar.gz
Source9:	%{aliyuncli}-%{aliyuncli_version}.tar.gz
Patch0:		nova-compute-wait-NovaEvacuate.patch
Patch1:		LVM-volume_group_check_only.patch
Patch2:		bz1552330-vdo-vol.patch
Patch3:		IPaddr2-monitor_retries.patch
Patch4:		VirtualDomain-stateless-support.patch
Patch5:		1-configure-add-python-path-detection.patch
Patch6:		2-ci-skip-python-agents-in-shellcheck.patch
Patch7:		3-gcp-vpc-move-vip.patch
Patch8:		4-gcp-vpc-move-route.patch
Patch9:		5-python-library.patch
Patch10:	dont-use-ocf_attribute_target-for-metadata.patch
Patch11:	LVM-activate-fix-issue-with-dashes.patch
Patch12:	6-gcp-move-vip-filter-aggregatedlist.patch
Patch13:	aliyun-vpc-move-ip-1.patch
Patch14:	aliyun-vpc-move-ip-2-fixes.patch
Patch15:	aliyun-vpc-move-ip-3-fix-manpage.patch
Patch16:	build-add-missing-manpages.patch
Patch17:	findif-only-match-lines-with-netmasks.patch
Patch18:	7-gcp-stackdriver-logging-note.patch
Patch19:	LVM-fix-missing-dash.patch
Patch20:	lvmlockd-add-cmirrord-support.patch
Patch21:	LVM-activate-1-warn-vg_access_mode.patch
Patch22:	bz1607607-podman.patch
Patch23:	aliyun-vpc-move-ip-5-improve-metadata-manpage.patch
Patch24:	aws-vpc-move-ip-1-avoid-false-positive-monitor.patch
Patch25:	aws-vpc-move-ip-2-avoid-false-positive-monitor.patch
Patch26:	LVM-activate-2-parameters-access-mode-fixes.patch
Patch27:	timeout-interval-add-s-suffix.patch
Patch28:	metadata-add-missing-s-suffix.patch
Patch29:	bz1631291-systemd-tmpfiles-configurable-path.patch
Patch30:	nfsserver-mount-rpc_pipefs.patch
Patch31:	bz1635785-redis-pidof-basename.patch
Patch32:	bz1642027-nfsserver-var-lib-nfs-fix.patch
Patch33:	bz1662466-vdo-vol-fix-monitor-action.patch
Patch34:	bz1643307-LVM-activate-dont-fail-initial-probe.patch
Patch35:	bz1658664-LVM-activate-dont-require-locking_type.patch
Patch36:	bz1689184-Squid-1-fix-pidfile-issue.patch
Patch37:	bz1667414-1-LVM-activate-support-LVs-from-same-VG.patch
Patch38:	bz1667414-2-LVM-activate-only-count-volumes.patch
Patch39:	bz1666691-tomcat-use-systemd-when-catalina.sh-unavailable.patch
Patch40:	bz1693662-aws-vpc-move-ip-avoid-possible-race-condition.patch
Patch41:	bz1695656-gcp-vpc-move-route-vip-fix-python3-encoding.patch
Patch42:	bz1697559-aws-vpc-move-ip-1-multi-route-table-support.patch
Patch43:	bz1697559-aws-vpc-move-ip-2-fix-route-update-multi-NICs.patch
Patch44:	bz1669140-Route-make-family-parameter-optional.patch
Patch45:	bz1683548-redis-mute-password-warning.patch
Patch46:	bz1692413-1-iSCSITarget-create-iqn-when-it-doesnt-exist.patch
Patch47:	bz1689184-Squid-2-dont-run-pgrep-without-PID.patch
Patch48:	bz1707969-1-ocf_log-do-not-log-debug-when-HA_debug-unset.patch
Patch49:	bz1707969-2-ocf_is_true-add-True-to-regexp.patch
Patch50:	bz1717759-Filesystem-remove-notify-action-from-metadata.patch
Patch51:	bz1719684-dhcpd-keep-SELinux-context-chroot.patch
Patch52:	bz1718219-podman-1-avoid-double-inspect-call.patch
Patch53:	bz1718219-podman-2-improve-monitor-action.patch
Patch54:	bz1718219-podman-3-remove-docker-remnant.patch
Patch55:	bz1718219-podman-4-use-exec-to-avoid-performance-issues.patch
Patch56:	bz1730455-LVM-activate-fix-monitor-hang.patch
Patch57:	bz1732867-CTDB-1-explicitly-use-bash-shell.patch
Patch58:	bz1732867-CTDB-2-add-ctdb_max_open_files-parameter.patch
Patch59:	bz1732867-CTDB-3-fixes.patch
Patch60:	bz1732867-CTDB-4-add-v4.9-support.patch
Patch61:	bz1692413-2-iSCSILogicalUnit-create-acls-fix.patch
Patch62:	bz1736746-podman-drop-in-support.patch
Patch63:	bz1692960-mysql-galera-runuser-su-to-avoid-dac_override.patch
Patch64:	bz1745713-rabbitmq-cluster-1-monitor-mnesia-status.patch
Patch65:	bz1745713-rabbitmq-cluster-2-fail-when-in-minority-partition.patch
Patch66:	bz1745713-rabbitmq-cluster-3-fix-stop-regression.patch
Patch67:	bz1745713-rabbitmq-cluster-4-retry-start-cluster-join-fails.patch
Patch68:	bz1745713-rabbitmq-cluster-5-ensure-node-attribures-removed.patch
Patch69:	bz1745713-rabbitmq-cluster-6-debug-log-mnesia-query-fails.patch
Patch70:	bz1745713-rabbitmq-cluster-7-suppress-additional-output.patch
Patch71:	bz1695039-LVM-activate-return-NOT_RUNNING-rejoin-cluster.patch
Patch72:	bz1738428-LVM-activate-detect-volume-without-reboot.patch
Patch73:	bz1744103-Filesystem-1-monitor-symlink-support.patch
Patch74:	bz1744103-Filesystem-2-add-symlink-support.patch
Patch75:	bz1744103-Filesystem-3-fix-umount-disk-failure.patch
Patch76:	bz1744103-Filesystem-4-fix-readlink-issue.patch
Patch77:	bz1744140-Filesystem-1-avoid-corrupt-mount-list.patch
Patch78:	bz1744140-Filesystem-2-prevent-killing-bind-mount.patch
Patch79:	bz1744140-Filesystem-3-improved-bind-mount-check.patch
Patch80:	bz1757837-IPsrcaddr-fix-regression-without-NetworkManager.patch
Patch81:	bz1744224-IPsrcaddr-1-add-destination-and-table-parameters.patch
Patch82:	bz1748768-docker-fix-stop-issues.patch
Patch83:	bz1750261-Route-1-dont-fence-when-parameters-not-set.patch
Patch84:	bz1750352-rabbitmq-cluster-restore-users-single-node-mode.patch
Patch85:	bz1751700-IPaddr2-1-sanitize-IPv6-IPs.patch
Patch86:	bz1751700-IPaddr2-2-return-empty-when-sanitation-fails.patch
Patch87:	bz1751962-nfsserver-1-systemd-perf-improvements.patch
Patch88:	bz1751962-nfsserver-2-systemd-use-no-legend.patch
Patch89:	bz1755760-NovaEvacuate-evacuate_delay.patch
Patch90:	bz1750261-Route-2-validate-start-validate-all.patch
Patch91:	bz1741843-LVM-activate-partial-activation.patch
Patch92:	bz1764888-exportfs-allow-same-fsid.patch
Patch93:	bz1765128-mysql-galera-fix-incorrect-rc.patch
Patch94:	bz1741042-IPaddr2-add-noprefixroute-parameter.patch
Patch95:	bz1744224-IPsrcaddr-2-local-rule-destination-fixes.patch
Patch96:	bz1788889-podman-improve-image-exist-check.patch
Patch97:	bz1744224-IPsrcaddr-3-fix-probe-issues.patch
Patch98:	bz1767916-IPaddr2-clusterip-not-supported.patch
Patch99:	bz1777381-Filesystem-1-refresh-UUID.patch
Patch100:	bz1777381-Filesystem-2-udev-settle.patch
Patch101:	bz1744224-IPsrcaddr-4-fix-hardcoded-device.patch
Patch102:	bz1792196-rabbitmq-cluster-delete-nodename-when-stop-fails.patch
Patch103:	bz1808468-1-lvmlockd-fix-conditionals.patch
Patch104:	bz1808468-2-remove-locking_type.patch
Patch105:	bz1759115-aws-vpc-route53-1-update.patch
Patch106:	bz1804658-azure-lb-1-remove-status-metadata.patch
Patch107:	bz1804658-azure-lb-2-add-socat-support.patch
Patch108:	bz1810466-aws-vpc-move-ip-1-add-routing_table_role.patch
Patch109:	bz1810466-aws-vpc-move-ip-2-update-metadata.patch
Patch110:	bz1792237-redis-1-fix-validate-all.patch
Patch111:	bz1792237-redis-2-run-validate-during-start.patch
Patch112:	bz1817432-use-safe-temp-file-location.patch
Patch113:	bz1817598-ocf_is_clone-1-fix-clone-max-can-be-0.patch
Patch114:	bz1817598-ocf_is_clone-2-update-comment.patch
Patch115:	bz1819021-aws-vpc-move-ip-delete-remaining-route-entries.patch
Patch116:	bz1759115-aws-vpc-route53-2-add-public-and-secondary-ip-support.patch
Patch117:	bz1633251-gcp-pd-move-1.patch
Patch118:	bz1633251-gcp-pd-move-2-use-OCF_FUNCTIONS_DIR.patch
Patch119:	bz1633251-gcp-pd-move-3-add-stackdriver_logging-to-metadata.patch
Patch120:	bz1819965-1-ocf.py-update.patch
Patch121:	bz1819965-2-azure-events.patch
Patch122:	bz1759115-aws-vpc-route53-3-awscli-property.patch
Patch123:	bz1744190-pgsql-1-set-primary-standby-initial-score.patch
Patch124:	bz1744190-pgsql-2-improve-start-checks.patch
Patch125:	bz1820523-exportfs-1-add-symlink-support.patch
Patch126:	bz1832321-rabbitmq-cluster-increase-wait-timeout.patch
Patch127:	bz1818997-nfsserver-1-fix-nfsv4-only-support.patch
Patch128:	bz1830716-NovaEvacuate-suppress-expected-error.patch
Patch129:	bz1836945-db2-hadr-promote-standby-node.patch
Patch130:	bz1633251-gcp-pd-move-4-fixes-and-improvements.patch
Patch131:	bz1633251-gcp-pd-move-5-bundle.patch
Patch132:	bz1839721-podman-force-rm-container-if-rm-fails.patch
Patch133:	bz1820523-exportfs-2-fix-monitor-action.patch
Patch134:	bz1843999-aliyun-vpc-move-ip-log-output-when-failing.patch
Patch135:	bz1845574-azure-events-1-handle-exceptions-in-urlopen.patch
Patch136:	bz1845581-nfsserver-dont-log-error-message-file-doesnt-exist.patch
Patch137:	bz1845583-exportfs-1-describe-clientspec-format-in-metadata.patch
Patch138:	bz1845583-exportfs-2-fix-typo.patch
Patch139:	bz1814896-Filesystem-fast_stop-default-to-no-for-GFS2.patch
Patch140:	bz1836186-pgsql-support-Pacemaker-v2.03-output.patch
Patch141:	bz1819965-3-azure-events-decode-when-type-not-str.patch
Patch142:	bz1818997-nfsserver-2-stop-nfsdcld-if-present.patch
Patch143:	bz1818997-3-nfsserver-nfsnotify-fix-selinux-label-issue.patch
Patch144:	bz1845574-azure-events-2-import-urlerror-encode-postdata.patch
Patch145:	bz1846733-gcp-vpc-move-vip-1-support-multiple-alias-ips.patch
Patch146:	bz1846733-gcp-vpc-move-vip-2-fix-list-sort.patch
Patch147:	bz1850778-azure-lb-fix-redirect-issue.patch
Patch148:	bz1640587-pgsql-ignore-masters-re-promote.patch
Patch149:	bz1795535-pgsql-1-add-postgresql-12-support.patch
Patch150:	bz1795535-pgsql-2-fix-uppercase-hostname-support.patch
Patch151:	bz1858752-Filesystem-support-whitespace-device-dir.patch
Patch152:	bz1872999-aws-vpc-move-ip-add-region-parameter.patch
Patch153:	bz1881114-galera-recover-joining-non-existing-cluster.patch
Patch154:	bz1815013-redis-parse-password-correctly-based-on-version.patch
Patch155:	bz1763249-manpages-fix-pcs-syntax.patch
Patch156:	bz1890068-gcp-pd-move-fix-partially-matched-disk_name.patch
Patch157:	bz1848025-sybaseASE-run-verify-for-start-action-only.patch
Patch158:	bz1861001-sybaseASE-add-logfile-parameter.patch
Patch159:	bz1891835-galera-set-bootstrap-attribute-before-promote.patch
Patch160:	bz1891855-galera-recover-2-node-cluster.patch
Patch161:	bz1471182-crypt-1-new-ra.patch
Patch162:	bz1471182-crypt-2-fix-bashism.patch
Patch163:	bz1471182-crypt-3-fix-missing-and.patch
Patch164:	bz1895811-aws-vpc-move-ip-dont-warn-for-expected-scenarios.patch
Patch165:	bz1897570-aws-add-imdsv2-support.patch
Patch166:	bz1886262-podman-recover-from-killed-conmon.patch
Patch167:	bz1900015-podman-recover-from-storage-out-of-sync.patch
Patch168:	bz1898690-crypt-make-key_file-crypt_type_not-unique.patch
Patch169:	bz1899551-NovaEvacuate-fix-delay_evacuate-unset.patch
Patch170:	bz1901357-crypt-1-support-symlink-devices.patch
Patch171:	bz1902208-LVM-activate-stop-before-storage-service.patch
Patch172:	bz1901357-crypt-2-dont-sanity-check-during-probe.patch
Patch173:	bz1903677-ocf-shellfuncs-fix-traceback-redirection-bash5.patch
Patch174:	bz1913932-1-gcp-vpc-move-add-project-parameter.patch
Patch175:	bz1913932-2-gcp-vpc-move-route-fixes.patch
Patch176:	bz1913932-3-gcp-vpc-move-route-make-vpc_network-optional.patch
Patch177:	bz1937142-azure-lb-redirect-to-avoid-nc-dying-EPIPE-error.patch
Patch178:	bz1940363-1-galera-redis-use-output-as.patch
Patch179:	bz1940363-2-bundle-disable-validate-with.patch
Patch180:	bz1943093-aws-vpc-move-ip-add-ENI-lookup.patch
Patch181:	bz1973035-podman-fix-container-creation-race.patch
Patch182:	bz1986868-podman-return-not-running-probe.patch
Patch183:	bz1972236-LVM-activate-fix-drop-in.patch

# bundle patches
Patch1000:	7-gcp-bundled.patch
Patch1001:	8-google-cloud-sdk-fixes.patch
Patch1002:	9-google-cloud-sdk-oauth2client-python-rsa-to-cryptography.patch
Patch1003:	10-gcloud-support-info.patch
Patch1004:	bz1691456-gcloud-dont-detect-python2.patch
Patch1005:	aliyun-vpc-move-ip-4-bundled.patch
Patch1006:	python3-syntax-fixes.patch
Patch1007:	aliyuncli-python3-fixes.patch

Obsoletes:	heartbeat-resources <= %{version}
Provides:	heartbeat-resources = %{version}

# Build dependencies
BuildRequires: automake autoconf gcc
BuildRequires: perl-interpreter python3-devel
BuildRequires: libxslt glib2-devel
BuildRequires: systemd
BuildRequires: which

%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
#BuildRequires: cluster-glue-libs-devel
BuildRequires: docbook-style-xsl docbook-dtds
%if 0%{?rhel} == 0
BuildRequires: libnet-devel
%endif
%endif

## Runtime deps
# system tools shared by several agents
Requires: /bin/bash /usr/bin/grep /bin/sed /bin/gawk
Requires: /bin/ps /usr/bin/pkill /usr/bin/hostname /usr/bin/netstat
Requires: /usr/sbin/fuser /bin/mount

# Filesystem / fs.sh / netfs.sh
Requires: /sbin/fsck
Requires: /usr/sbin/fsck.ext2 /usr/sbin/fsck.ext3 /usr/sbin/fsck.ext4
Requires: /usr/sbin/fsck.xfs
Requires: /sbin/mount.nfs /sbin/mount.nfs4
%if 0%{?fedora} < 33 || (0%{?rhel} && 0%{?rhel} < 9) || (0%{?centos} && 0%{?centos} < 9) || 0%{?suse_version}
%if (0%{?rhel} && 0%{?rhel} < 8) || (0%{?centos} && 0%{?centos} < 8)
Requires: /usr/sbin/mount.cifs
%else
Recommends: /usr/sbin/mount.cifs
%endif
%endif

# IPaddr2
Requires: /sbin/ip

# LVM / lvm.sh
Requires: /usr/sbin/lvm

# nfsserver / netfs.sh
Requires: /usr/sbin/rpc.nfsd /sbin/rpc.statd /usr/sbin/rpc.mountd

# ocf.py
Requires: python3

# rgmanager
%if %{with rgmanager}
# ip.sh
Requires: /usr/sbin/ethtool
Requires: /sbin/rdisc /usr/sbin/arping /bin/ping /bin/ping6

# nfsexport.sh
Requires: /sbin/findfs
Requires: /sbin/quotaon /sbin/quotacheck
%endif

%description
A set of scripts to interface with several services to operate in a
High Availability environment for both Pacemaker and rgmanager
service managers.

%ifarch x86_64
%package aliyun
License:	GPLv2+ and LGPLv2+ and ASL 2.0 and BSD and MIT
Summary:	Alibaba Cloud (Aliyun) resource agents
%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
Group:		System Environment/Base
%else
Group:		Productivity/Clustering/HA
%endif
Requires:	%{name} = %{version}-%{release}
Requires:	python3-jmespath >= 0.9.0
Requires:	python3-urllib3
# python-colorama bundle
Provides:	bundled(python-%{colorama}) = %{colorama_version}
# python-pycryptodome bundle
Provides:	bundled(python-%{pycryptodome}) = %{pycryptodome_version}
# python-aliyun-sdk-core bundle
Provides:	bundled(python-aliyun-sdk-core) = %{aliyunsdkcore_version}
# python-aliyun-sdk-ecs bundle
Provides:	bundled(python-aliyun-sdk-ecs) = %{aliyunsdkecs_version}
# python-aliyun-sdk-vpc bundle
Provides:	bundled(python-aliyun-sdk-vpc) = %{aliyunsdkvpc_version}
# aliyuncli bundle
Provides:	bundled(aliyuncli) = %{aliyuncli_version}

%description aliyun
Alibaba Cloud (Aliyun) resource agents allows Alibaba Cloud
(Aliyun) instances to be managed in a cluster environment.
%endif

%ifarch x86_64
%package gcp
License:	GPLv2+ and LGPLv2+ and BSD and ASL 2.0 and MIT and Python
Summary:	Google Cloud Platform resource agents
%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
Group:		System Environment/Base
%else
Group:		Productivity/Clustering/HA
%endif
Requires:	%{name} = %{version}-%{release}
Requires:	python3-google-api-client
# google-cloud-sdk bundle
Requires:	python3-cryptography >= 1.7.2
Requires:	python3-dateutil >= 2.6.0
Provides:	bundled(%{googlecloudsdk}) = %{googlecloudsdk_version}
Provides:	bundled(python-antlr3) = 3.1.1
Provides:	bundled(python-appdirs) = 1.4.0
Provides:	bundled(python-argparse) = 1.2.1
Provides:	bundled(python-chardet) = 2.3.0
Provides:	bundled(python-dulwich) = 0.10.2
Provides:	bundled(python-ipaddress) = 1.0.16
Provides:	bundled(python-ipaddr) = 2.1.11
Provides:	bundled(python-mako) = 1.0.7
Provides:	bundled(python-oauth2client) = 3.0.0
Provides:	bundled(python-prompt_toolkit) = 1.0.13
Provides:	bundled(python-pyasn1) = 0.4.2
Provides:	bundled(python-pyasn1_modules) = 0.2.1
Provides:	bundled(python-pygments) = 2.2.0
Provides:	bundled(python-pyparsing) = 2.1.10
Provides:	bundled(python-requests) = 2.10.0
Provides:	bundled(python-six) = 1.11.0
Provides:	bundled(python-uritemplate) = 3.0.0
Provides:	bundled(python-urllib3) = 1.15.1
Provides:	bundled(python-websocket) = 0.47.0
Provides:	bundled(python-yaml) = 3.12
# python-pyroute2 bundle
Provides:	bundled(%{pyroute2}) = %{pyroute2_version}

%description gcp
The Google Cloud Platform resource agents allows Google Cloud
Platform instances to be managed in a cluster environment.
%endif

%prep
%if 0%{?suse_version} == 0 && 0%{?fedora} == 0 && 0%{?centos_version} == 0 && 0%{?rhel} == 0
%{error:Unable to determine the distribution/version. This is generally caused by missing /etc/rpm/macros.dist. Please install the correct build packages or define the required macros manually.}
exit 1
%endif
%setup -q -n %{upstream_prefix}-%{upstream_version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1 -F2
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1 -F1
%patch61 -p1
%patch62 -p1 -F2
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1 -F2
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1 -F2
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1 -F1
%patch152 -p1
%patch153 -p1
%patch154 -p1 -F1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch169 -p1 -F2
%patch170 -p1
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch175 -p1
%patch176 -p1
%patch177 -p1
%patch178 -p1
%patch179 -p1
%patch180 -p1 -F2
%patch181 -p1
%patch182 -p1
%patch183 -p1

chmod 755 heartbeat/nova-compute-wait
chmod 755 heartbeat/NovaEvacuate

# bundles
mkdir -p %{bundled_lib_dir}/gcp
mkdir -p %{bundled_lib_dir}/aliyun

# google-cloud-sdk bundle
%ifarch x86_64
tar -xzf %SOURCE1 -C %{bundled_lib_dir}/gcp
## upgrade httplib2 to fix CVE-2020-11078
pushd %{googlecloudsdk_dir}
rm -rf lib/third_party/httplib2
popd

# python-httplib2 bundle
tar -xzf %SOURCE2 -C %{bundled_lib_dir}
mv %{bundled_lib_dir}/%{httplib2}-%{httplib2_version} %{httplib2_dir}

# gcp*: append bundled-directory to search path, gcloud-ra
%patch1000 -p1
# google-cloud-sdk fixes
%patch1001 -p1
# replace python-rsa with python-cryptography
%patch1002 -p1
# gcloud support info
%patch1003 -p1
# gcloud remove python 2 detection
%patch1004 -p1
# rename gcloud
mv %{googlecloudsdk_dir}/bin/gcloud %{googlecloudsdk_dir}/bin/gcloud-ra
# keep googleapiclient
mv %{googlecloudsdk_dir}/platform/bq/third_party/googleapiclient %{googlecloudsdk_dir}/lib/third_party
# only keep gcloud
rm -rf %{googlecloudsdk_dir}/bin/{bootstrapping,bq,dev_appserver.py,docker-credential-gcloud,endpointscfg.py,git-credential-gcloud.sh,gsutil,java_dev_appserver.sh} %{googlecloudsdk_dir}/{completion.*,deb,install.*,path.*,platform,properties,RELEASE_NOTES,rpm,VERSION}
# remove Python 2 code
rm -rf %{googlecloudsdk_dir}/lib/third_party/*/python2
# remove python-rsa
rm -rf %{googlecloudsdk_dir}/lib/third_party/rsa
# remove grpc
rm -rf %{googlecloudsdk_dir}/lib/third_party/grpc
# remove dateutil
rm -rf %{googlecloudsdk_dir}/lib/third_party/dateutil
# docs/licenses
cp %{googlecloudsdk_dir}/README %{googlecloudsdk}_README
cp %{googlecloudsdk_dir}/lib/third_party/argparse/README.txt %{googlecloudsdk}_argparse_README.txt
cp %{googlecloudsdk_dir}/LICENSE %{googlecloudsdk}_LICENSE
cp %{httplib2_dir}/LICENSE %{googlecloudsdk}_httplib2_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/contextlib2/LICENSE %{googlecloudsdk}_contextlib2_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/concurrent/LICENSE %{googlecloudsdk}_concurrent_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/yaml/LICENSE %{googlecloudsdk}_yaml_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/pyu2f/LICENSE %{googlecloudsdk}_pyu2f_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/ml_sdk/LICENSE %{googlecloudsdk}_ml_sdk_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/ml_sdk/pkg/LICENSE %{googlecloudsdk}_pkg_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/ipaddr/LICENSE %{googlecloudsdk}_ipaddr_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/urllib3/LICENSE %{googlecloudsdk}_urllib3_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/ipaddress/LICENSE %{googlecloudsdk}_ipaddress_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/requests/LICENSE %{googlecloudsdk}_requests_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/docker/LICENSE %{googlecloudsdk}_docker_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/monotonic/LICENSE %{googlecloudsdk}_monotonic_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/websocket/LICENSE %{googlecloudsdk}_websocket_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/fasteners/LICENSE %{googlecloudsdk}_fasteners_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/wcwidth/LICENSE %{googlecloudsdk}_wcwidth_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/pygments/LICENSE %{googlecloudsdk}_pygments_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/oauth2client/LICENSE %{googlecloudsdk}_oauth2client_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/uritemplate/LICENSE %{googlecloudsdk}_uritemplate_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/dulwich/LICENSE %{googlecloudsdk}_dulwich_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/mako/LICENSE %{googlecloudsdk}_mako_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/packaging/LICENSE %{googlecloudsdk}_packaging_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/socks/LICENSE %{googlecloudsdk}_socks_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/antlr3/LICENSE %{googlecloudsdk}_antlr3_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/argparse/LICENSE.txt %{googlecloudsdk}_argparse_LICENSE.txt
cp %{googlecloudsdk_dir}/lib/third_party/chardet/LICENSE %{googlecloudsdk}_chardet_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/ruamel/LICENSE %{googlecloudsdk}_ruamel_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/appdirs/LICENSE %{googlecloudsdk}_appdirs_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/argcomplete/LICENSE %{googlecloudsdk}_argcomplete_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/pyasn1_modules/LICENSE %{googlecloudsdk}_pyasn1_modules_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/setuptools/LICENSE %{googlecloudsdk}_setuptools_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/google/LICENSE %{googlecloudsdk}_google_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/google/protobuf/LICENSE %{googlecloudsdk}_protobuf_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/six/LICENSE %{googlecloudsdk}_six_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/dns/LICENSE %{googlecloudsdk}_dns_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/enum/LICENSE %{googlecloudsdk}_enum_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/gae_ext_runtime/LICENSE %{googlecloudsdk}_gae_ext_runtime_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/fancy_urllib/LICENSE %{googlecloudsdk}_fancy_urllib_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/pyasn1/LICENSE %{googlecloudsdk}_pyasn1_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/apitools/LICENSE %{googlecloudsdk}_apitools_LICENSE
cp %{googlecloudsdk_dir}/lib/third_party/containerregistry/LICENSE %{googlecloudsdk}_containerregistry_LICENSE

# python-pyroute2 bundle
tar -xzf %SOURCE3 -C %{bundled_lib_dir}/gcp
mv %{bundled_lib_dir}/gcp/%{pyroute2}-%{pyroute2_version} %{pyroute2_dir}
cp %{pyroute2_dir}/README.md %{pyroute2}_README.md
cp %{pyroute2_dir}/README.license.md %{pyroute2}_README.license.md
cp %{pyroute2_dir}/LICENSE.Apache.v2 %{pyroute2}_LICENSE.Apache.v2
cp %{pyroute2_dir}/LICENSE.GPL.v2 %{pyroute2}_LICENSE.GPL.v2

# python-colorama bundle
tar -xzf %SOURCE4 -C %{bundled_lib_dir}/aliyun
mv %{bundled_lib_dir}/aliyun/%{colorama}-%{colorama_version} %{colorama_dir}
cp %{colorama_dir}/LICENSE.txt %{colorama}_LICENSE.txt
cp %{colorama_dir}/README.rst %{colorama}_README.rst

pushd %{colorama_dir}
# remove bundled egg-info
rm -rf *.egg-info
popd

# python-pycryptodome bundle
tar -xzf %SOURCE5 -C %{bundled_lib_dir}/aliyun
mv %{bundled_lib_dir}/aliyun/%{pycryptodome}-%{pycryptodome_version} %{pycryptodome_dir}
cp %{pycryptodome_dir}/README.rst %{pycryptodome}_README.rst
cp %{pycryptodome_dir}/LICENSE.rst %{pycryptodome}_LICENSE.rst

# python-aliyun-sdk-core bundle
tar -xzf %SOURCE6 -C %{bundled_lib_dir}/aliyun
mv %{bundled_lib_dir}/aliyun/%{aliyunsdkcore}-%{aliyunsdkcore_version} %{aliyunsdkcore_dir}
cp %{aliyunsdkcore_dir}/README.rst %{aliyunsdkcore}_README.rst

# python-aliyun-sdk-ecs bundle
tar -xzf %SOURCE7 -C %{bundled_lib_dir}/aliyun
mv %{bundled_lib_dir}/aliyun/%{aliyunsdkecs}-%{aliyunsdkecs_version} %{aliyunsdkecs_dir}
cp %{aliyunsdkecs_dir}/README.rst %{aliyunsdkecs}_README.rst

# python-aliyun-sdk-vpc bundle
tar -xzf %SOURCE8 -C %{bundled_lib_dir}/aliyun
mv %{bundled_lib_dir}/aliyun/%{aliyunsdkvpc}-%{aliyunsdkvpc_version} %{aliyunsdkvpc_dir}
cp %{aliyunsdkvpc_dir}/README.rst %{aliyunsdkvpc}_README.rst

# aliyuncli bundle
tar -xzf %SOURCE9 -C %{bundled_lib_dir}/aliyun
mv %{bundled_lib_dir}/aliyun/%{aliyuncli}-%{aliyuncli_version} %{aliyuncli_dir}
cp %{aliyuncli_dir}/README.rst %{aliyuncli}_README.rst
cp %{aliyuncli_dir}/LICENSE %{aliyuncli}_LICENSE
# aliyun*: use bundled libraries
%patch1005 -p1

# aliyun Python 3 fixes
%patch1006 -p1
%patch1007 -p1
%endif

%build
if [ ! -f configure ]; then
	./autogen.sh
fi

%if 0%{?fedora} >= 11 || 0%{?centos_version} > 5 || 0%{?rhel} > 5
CFLAGS="$(echo '%{optflags}')"
%global conf_opt_fatal "--enable-fatal-warnings=no"
%else
CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}"
%global conf_opt_fatal "--enable-fatal-warnings=yes"
%endif

%if %{with rgmanager}
%global rasset rgmanager
%endif
%if %{with linuxha}
%global rasset linux-ha
%endif
%if %{with rgmanager} && %{with linuxha}
%global rasset all
%endif

export CFLAGS

%configure BASH_SHELL="/bin/bash" \
	PYTHON="%{__python3}" \
	%{conf_opt_fatal} \
%if %{defined _unitdir}
    --with-systemdsystemunitdir=%{_unitdir} \
%endif
%if %{defined _tmpfilesdir}
    --with-systemdtmpfilesdir=%{_tmpfilesdir} \
    --with-rsctmpdir=/run/resource-agents \
%endif
	--with-pkg-name=%{name} \
	--with-ras-set=%{rasset}

%if %{defined jobs}
JFLAGS="$(echo '-j%{jobs}')"
%else
JFLAGS="$(echo '%{_smp_mflags}')"
%endif

make $JFLAGS

# python-httplib2 bundle
%ifarch x86_64
pushd %{httplib2_dir}
%{__python3} setup.py build
popd

# python-pyroute2 bundle
pushd %{pyroute2_dir}
%{__python3} setup.py build
popd

# python-colorama bundle
pushd %{colorama_dir}
%{__python3} setup.py build
popd

# python-pycryptodome bundle
pushd %{pycryptodome_dir}
%{__python3} setup.py build
popd

# python-aliyun-sdk-core bundle
pushd %{aliyunsdkcore_dir}
%{__python3} setup.py build
popd

# python-aliyun-sdk-ecs bundle
pushd %{aliyunsdkecs_dir}
%{__python3} setup.py build
popd

# python-aliyun-sdk-vpc bundle
pushd %{aliyunsdkvpc_dir}
%{__python3} setup.py build
popd

# aliyuncli bundle
pushd %{aliyuncli_dir}
%{__python3} setup.py build
popd
%endif

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# byte compile ocf.py
%py_byte_compile %{__python3} %{buildroot}%{_usr}/lib/ocf/lib/heartbeat

# google-cloud-sdk bundle
%ifarch x86_64
pushd %{googlecloudsdk_dir}
mkdir -p %{buildroot}/usr/lib/%{name}/%{googlecloudsdk_dir}
cp -a bin data lib %{buildroot}/usr/lib/%{name}/%{googlecloudsdk_dir}
mkdir %{buildroot}/%{_bindir}
ln -s /usr/lib/%{name}/%{googlecloudsdk_dir}/bin/gcloud-ra %{buildroot}/%{_bindir}
popd

# python-httplib2 bundle
pushd %{httplib2_dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib /usr/lib/%{name}/%{googlecloudsdk_dir}/lib/third_party
popd

# python-pyroute2 bundle
pushd %{pyroute2_dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib /usr/lib/%{name}/%{bundled_lib_dir}/gcp
popd

# python-colorama bundle
pushd %{colorama_dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib /usr/lib/%{name}/%{bundled_lib_dir}/aliyun
popd

# python-pycryptodome bundle
pushd %{pycryptodome_dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib /usr/lib/%{name}/%{bundled_lib_dir}/aliyun
popd

# python-aliyun-sdk-core bundle
pushd %{aliyunsdkcore_dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib /usr/lib/%{name}/%{bundled_lib_dir}/aliyun
popd

# python-aliyun-sdk-ecs bundle
pushd %{aliyunsdkecs_dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib /usr/lib/%{name}/%{bundled_lib_dir}/aliyun
popd

# python-aliyun-sdk-vpc bundle
pushd %{aliyunsdkvpc_dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib /usr/lib/%{name}/%{bundled_lib_dir}/aliyun
popd

# aliyuncli bundle
pushd %{aliyuncli_dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-lib /usr/lib/%{name}/%{bundled_lib_dir}/aliyun
sed -i -e "/^import sys/asys.path.insert(0, '/usr/lib/%{name}/%{bundled_lib_dir}/aliyun')\nsys.path.insert(1, '/usr/lib/%{name}/%{bundled_lib_dir}/aliyun/aliyuncli')" %{buildroot}/%{_bindir}/aliyuncli
mv %{buildroot}/%{_bindir}/aliyuncli %{buildroot}/%{_bindir}/aliyuncli-ra
# aliyun_completer / aliyun_zsh_complete.sh
rm %{buildroot}/%{_bindir}/aliyun_*
popd
%endif

## tree fixup
# remove docs (there is only one and they should come from doc sections in files)
rm -rf %{buildroot}/usr/share/doc/resource-agents

##
# Create symbolic link between IPAddr and IPAddr2
##
rm -f %{buildroot}/usr/lib/ocf/resource.d/heartbeat/IPaddr
ln -s /usr/lib/ocf/resource.d/heartbeat/IPaddr2 %{buildroot}/usr/lib/ocf/resource.d/heartbeat/IPaddr

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.GPLv3 COPYING.LGPL ChangeLog
%if %{with linuxha}
%doc heartbeat/README.galera
%doc doc/README.webapps
%doc %{_datadir}/%{name}/ra-api-1.dtd
%doc %{_datadir}/%{name}/metadata.rng
%endif

%if %{with rgmanager}
%{_datadir}/cluster
%{_sbindir}/rhev-check.sh
%endif

%if %{with linuxha}
%dir %{_usr}/lib/ocf
%dir %{_usr}/lib/ocf/resource.d
%dir %{_usr}/lib/ocf/lib

%{_usr}/lib/ocf/lib/heartbeat

%{_usr}/lib/ocf/resource.d/heartbeat
%{_usr}/lib/ocf/resource.d/openstack
%if %{with rgmanager}
%{_usr}/lib/ocf/resource.d/redhat
%endif

%if %{defined _unitdir}
%{_unitdir}/resource-agents-deps.target
%endif
%if %{defined _tmpfilesdir}
%{_tmpfilesdir}/%{name}.conf
%endif

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ocft
%{_datadir}/%{name}/ocft/configs
%{_datadir}/%{name}/ocft/caselib
%{_datadir}/%{name}/ocft/README
%{_datadir}/%{name}/ocft/README.zh_CN
%{_datadir}/%{name}/ocft/helpers.sh
%exclude %{_datadir}/%{name}/ocft/runocft
%exclude %{_datadir}/%{name}/ocft/runocft.prereq

%{_sbindir}/ocft

%{_includedir}/heartbeat

%if %{defined _tmpfilesdir}
%dir %attr (1755, root, root)	/run/resource-agents
%else
%dir %attr (1755, root, root)	%{_var}/run/resource-agents
%endif

%{_mandir}/man7/*.7*

###
# Supported, but in another sub package
###
%exclude /usr/lib/ocf/resource.d/heartbeat/aliyun-vpc-move-ip*
%exclude %{_mandir}/man7/*aliyun-vpc-move-ip*
%exclude /usr/lib/ocf/resource.d/heartbeat/gcp*
%exclude %{_mandir}/man7/*gcp*
%exclude /usr/lib/%{name}/%{bundled_lib_dir}

###
# Moved to separate packages
###
%exclude /usr/lib/ocf/resource.d/heartbeat/SAP*
%exclude /usr/lib/ocf/lib/heartbeat/sap*
%exclude %{_mandir}/man7/*SAP*

###
# Unsupported
###
%exclude /usr/lib/ocf/resource.d/heartbeat/clvm
%exclude /usr/lib/ocf/resource.d/heartbeat/LVM
%exclude /usr/lib/ocf/resource.d/heartbeat/AoEtarget
%exclude /usr/lib/ocf/resource.d/heartbeat/AudibleAlarm
%exclude /usr/lib/ocf/resource.d/heartbeat/ClusterMon
%exclude /usr/lib/ocf/resource.d/heartbeat/EvmsSCC
%exclude /usr/lib/ocf/resource.d/heartbeat/Evmsd
%exclude /usr/lib/ocf/resource.d/heartbeat/ICP
%exclude /usr/lib/ocf/resource.d/heartbeat/LinuxSCSI
%exclude /usr/lib/ocf/resource.d/heartbeat/ManageRAID
%exclude /usr/lib/ocf/resource.d/heartbeat/ManageVE
%exclude /usr/lib/ocf/resource.d/heartbeat/Pure-FTPd
%exclude /usr/lib/ocf/resource.d/heartbeat/Raid1
%exclude /usr/lib/ocf/resource.d/heartbeat/ServeRAID
%exclude /usr/lib/ocf/resource.d/heartbeat/SphinxSearchDaemon
%exclude /usr/lib/ocf/resource.d/heartbeat/Stateful
%exclude /usr/lib/ocf/resource.d/heartbeat/SysInfo
%exclude /usr/lib/ocf/resource.d/heartbeat/VIPArip
%exclude /usr/lib/ocf/resource.d/heartbeat/WAS
%exclude /usr/lib/ocf/resource.d/heartbeat/WAS6
%exclude /usr/lib/ocf/resource.d/heartbeat/WinPopup
%exclude /usr/lib/ocf/resource.d/heartbeat/Xen
%exclude /usr/lib/ocf/resource.d/heartbeat/anything
%exclude /usr/lib/ocf/resource.d/heartbeat/asterisk
%exclude /usr/lib/ocf/resource.d/heartbeat/dnsupdate
%exclude /usr/lib/ocf/resource.d/heartbeat/eDir88
%exclude /usr/lib/ocf/resource.d/heartbeat/fio
%exclude /usr/lib/ocf/resource.d/heartbeat/ids
%exclude /usr/lib/ocf/resource.d/heartbeat/iface-bridge
%exclude /usr/lib/ocf/resource.d/heartbeat/ipsec
%exclude /usr/lib/ocf/resource.d/heartbeat/jira
%exclude /usr/lib/ocf/resource.d/heartbeat/kamailio
%exclude /usr/lib/ocf/resource.d/heartbeat/lxd-info
%exclude /usr/lib/ocf/resource.d/heartbeat/machine-info
%exclude /usr/lib/ocf/resource.d/heartbeat/mariadb
%exclude /usr/lib/ocf/resource.d/heartbeat/minio
%exclude /usr/lib/ocf/resource.d/heartbeat/mpathpersist
%exclude /usr/lib/ocf/resource.d/heartbeat/iscsi
%exclude /usr/lib/ocf/resource.d/heartbeat/jboss
%exclude /usr/lib/ocf/resource.d/heartbeat/ldirectord
%exclude /usr/lib/ocf/resource.d/heartbeat/lxc
%exclude /usr/lib/ocf/resource.d/heartbeat/openstack-cinder-volume
%exclude /usr/lib/ocf/resource.d/heartbeat/openstack-floating-ip
%exclude /usr/lib/ocf/resource.d/heartbeat/openstack-info
%exclude /usr/lib/ocf/resource.d/heartbeat/ovsmonitor
%exclude /usr/lib/ocf/resource.d/heartbeat/pgagent
%exclude /usr/lib/ocf/resource.d/heartbeat/pingd
%exclude /usr/lib/ocf/resource.d/heartbeat/pound
%exclude /usr/lib/ocf/resource.d/heartbeat/proftpd
%exclude /usr/lib/ocf/resource.d/heartbeat/rkt
%exclude /usr/lib/ocf/resource.d/heartbeat/scsi2reservation
%exclude /usr/lib/ocf/resource.d/heartbeat/sfex
%exclude /usr/lib/ocf/resource.d/heartbeat/sg_persist
%exclude /usr/lib/ocf/resource.d/heartbeat/syslog-ng
%exclude /usr/lib/ocf/resource.d/heartbeat/varnish
%exclude /usr/lib/ocf/resource.d/heartbeat/vmware
%exclude /usr/lib/ocf/resource.d/heartbeat/zabbixserver
%exclude /usr/lib/ocf/resource.d/heartbeat/mysql-proxy
%exclude /usr/lib/ocf/resource.d/heartbeat/rsyslog
%exclude /usr/lib/ocf/resource.d/heartbeat/vsftpd
%exclude /usr/lib/ocf/resource.d/heartbeat/ZFS
%exclude %{_mandir}/man7/ocf_heartbeat_clvm.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_LVM.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_AoEtarget.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_AudibleAlarm.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ClusterMon.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_EvmsSCC.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_Evmsd.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ICP.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_IPaddr.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_LinuxSCSI.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ManageRAID.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ManageVE.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_Pure-FTPd.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_Raid1.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ServeRAID.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_SphinxSearchDaemon.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_Stateful.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_SysInfo.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_VIPArip.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_WAS.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_WAS6.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_WinPopup.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_Xen.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_anything.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_asterisk.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_dnsupdate.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_eDir88.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_fio.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ids.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_iface-bridge.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ipsec.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_iscsi.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_jboss.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_jira.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_kamailio.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_lxc.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_lxd-info.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_machine-info.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_mariadb.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_minio.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_mpathpersist.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_openstack-cinder-volume.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_openstack-floating-ip.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_openstack-info.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ovsmonitor.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_pgagent.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_pingd.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_pound.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_proftpd.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_rkt.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_scsi2reservation.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_sfex.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_sg_persist.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_syslog-ng.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_varnish.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_vmware.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_vsftpd.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_zabbixserver.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_mysql-proxy.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_rsyslog.7.gz
%exclude %{_mandir}/man7/ocf_heartbeat_ZFS.7.gz

###
# Other excluded files.
###
# This tool has to be updated for the new pacemaker lrmd.
%exclude %{_sbindir}/ocf-tester
%exclude %{_mandir}/man8/ocf-tester.8*
# ldirectord is not supported
%exclude /etc/ha.d/resource.d/ldirectord
%exclude /etc/init.d/ldirectord
%exclude %{_unitdir}/ldirectord.service
%exclude /etc/logrotate.d/ldirectord
%exclude /usr/sbin/ldirectord
%exclude %{_mandir}/man8/ldirectord.8.gz

# For compatability with pre-existing agents
%dir %{_sysconfdir}/ha.d
%{_sysconfdir}/ha.d/shellfuncs

%{_libexecdir}/heartbeat
%endif

%if %{with rgmanager}
%post -n resource-agents
ccs_update_schema > /dev/null 2>&1 ||:
%endif

%ifarch x86_64
%files aliyun
%doc aliyun*_README* %{colorama}_README.rst %{pycryptodome}_README.rst
%license %{aliyuncli}_LICENSE %{colorama}_LICENSE.txt %{pycryptodome}_LICENSE.rst
%defattr(-,root,root)
/usr/lib/ocf/resource.d/heartbeat/aliyun-vpc-move-ip*
%{_mandir}/man7/*aliyun-vpc-move-ip*
# bundle
%{_bindir}/aliyuncli-ra
%dir /usr/lib/%{name}
/usr/lib/%{name}/%{bundled_lib_dir}/aliyun
%endif

%ifarch x86_64
%files gcp
%doc %{googlecloudsdk}_*README*
%license %{googlecloudsdk}_*LICENSE*
%doc %{pyroute2}_README*
%license %{pyroute2}_LICENSE*
%defattr(-,root,root)
/usr/lib/ocf/resource.d/heartbeat/gcp-vpc-move-vip*
%{_mandir}/man7/*gcp-vpc-move-vip*
/usr/lib/ocf/resource.d/heartbeat/gcp-vpc-move-route*
%{_mandir}/man7/*gcp-vpc-move-route*
/usr/lib/ocf/resource.d/heartbeat/gcp-pd-move*
%{_mandir}/man7/*gcp-pd-move*
# bundle
%{_bindir}/gcloud-ra
%dir /usr/lib/%{name}
/usr/lib/%{name}/%{bundled_lib_dir}/gcp
%endif

%changelog
* Tue Aug  3 2021 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-90.7
- LVM-activate: fix drop-in check to avoid re-creating drop-in

  Resolves: rhbz#1972236

* Wed Jul 28 2021 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-90.6
- podman: return NOT_RUNNING when monitor cmd fails

  Resolves: rhbz#1986868

* Thu Jun 17 2021 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-90.5
- podman: fix possible race during container creation

  Resolves: rhbz#1973035

* Wed Apr 14 2021 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-90.2
- aws-vpc-move-ip: add ENI lookup

  Resolves: rhbz#1943093

* Mon Mar 22 2021 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-90
- galera/rabbitmq-cluster/redis: run crm_mon without validation when
  running in bundle

  Resolves: rhbz#1940363

* Thu Mar 11 2021 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-89
- azure-lb: redirect to avoid nc dying with EPIPE error

  Resolves: rhbz#1937142

* Thu Feb 25 2021 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-87
- gcp-vpc-move-route, gcp-vpc-move-vip: add project parameter and
  make vpc_network parameter optional

  Resolves: rhbz#1913932

* Thu Dec  3 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-81
- ocf-shellfuncs: fix traceback redirection for Bash 5+

  Resolves: rhbz#1903677

* Tue Dec  1 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-80
- crypt: support symlink devices, and dont run sanity checks for probes

  Resolves: rhbz#1901357

* Mon Nov 30 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-79
- LVM-activate: add drop-in during start-action to avoid getting
  fenced during reboot

  Resolves: rhbz#1902208

* Wed Nov 25 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-77
- NovaEvacuate: set delay_evacuate to 0 when it's not set

  Resolves: rhbz#1899551

* Tue Nov 24 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-76
- podman: recover from killed conmon process
- podman: recover from podman's storage being out of sync
- crypt: make key_file and crypt_type parameters not unique

  Resolves: rhbz#1886262
  Resolves: rhbz#1900015
  Resolves: rhbz#1898690

* Fri Nov 13 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-75
- AWS agents: add support for IMDSv2

  Resolves: rhbz#1897570

* Wed Nov 11 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-74
- aws-vpc-move-ip: don't warn for expected scenarios

  Resolves: rhbz#1895811

* Mon Nov  2 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-73
- crypt: new resource agent

  Resolves: rhbz#1471182

* Wed Oct 28 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-72
- sybaseASE: Run verify_all() for start operation only
- sybaseASE: add logfile parameter
- galera: set bootstrap attribute before promote
- galera: recover after network split in a 2-node cluster

  Resolves: rhbz#1848025
  Resolves: rhbz#1861001
  Resolves: rhbz#1891835
  Resolves: rhbz#1891855

* Tue Oct 27 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-71
- redis: parse password correctly based on version
- all agents: fix pcs syntax in manpage for pcs 0.10+
- gcp-pd-move: dont stop partially matched "disk_name"

  Resolves: rhbz#1815013
  Resolves: rhbz#1763249
  Resolves: rhbz#1890068

* Wed Oct  7 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-70
- galera: recover from joining a non existing cluster

  Resolves: rhbz#1881114

* Wed Sep 23 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-69
- pgsql: ignore masters re-promote
- pgsql: add PostgreSQL 12 support
- Make Samba/CIFS dependency weak
- Filesystem: Support whitespace in device or directory name
- aws-vpc-move-ip: add region parameter

  Resolves: rhbz#1640587
  Resolves: rhbz#1795535
  Resolves: rhbz#1828600
  Resolves: rhbz#1858752
  Resolves: rhbz#1872999

* Thu Aug 20 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-68
- azure-lb: fix redirect issue

  Resolves: rhbz#1850778

* Wed Aug 19 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-67
- gcp-vpc-move-vip: add support for multiple alias IPs

  Resolves: rhbz#1846733

* Thu Jul 30 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-65
- azure-events: handle exceptions in urlopen

  Resolves: rhbz#1845574

* Mon Jul 27 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-64
- nfsserver: fix NFSv4-only support
- azure-events: new resource agent for Azure

  Resolves: rhbz#1818997
  Resolves: rhbz#1819965

* Thu Jun 25 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-60
- Upgrade bundled python-httplib2 to fix CVE-2020-11078

  Resolves: rhbz#1850990

* Wed Jun 17 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-59
- pgsql: support Pacemaker v2.03+ output

  Resolves: rhbz#1836186

* Thu Jun 11 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-56
- Filesystem: set "fast_stop" default to "no" for GFS2 filesystems

  Resolves: rhbz#1814896

* Wed Jun 10 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-55
- nfsserver: dont log error message when /etc/sysconfig/nfs does not exist
- exportfs: describe clientspec format in metadata

  Resolves: rhbz#1845581
  Resolves: rhbz#1845583

* Tue Jun  9 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-54
- exportfs: add symlink support
- aliyun-vpc-move-ip: log output when failing

  Resolves: rhbz#1820523
  Resolves: rhbz#1843999

* Tue Jun  2 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-53
- podman: force remove container if remove fails

  Resolves: rhbz#1839721

* Thu May 28 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-52
- gcp-pd-move: new resource agent for Google Cloud

  Resolves: rhbz#1633251

* Wed May 27 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-51
- NovaEvacuate: suppress expected initial error message
- db2 (HADR): promote standby node when master node disappears

  Resolves: rhbz#1830716
  Resolves: rhbz#1836945

* Thu May  7 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-50
- rabbitmq-cluster: increase rabbitmqctl wait timeout during start

  Resolves: rhbz#1832321

* Tue Apr 28 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-49
- aws-vpc-route53: new resource agent for AWS
- pgsql: improve checks to prevent incorrect status, and set initial
  score for primary and hot standby

  Resolves: rhbz#1759115
  Resolves: rhbz#1744190

* Mon Apr  6 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-47
- aws-vpc-move-ip: delete remaining route entries

  Resolves: rhbz#1819021

* Fri Mar 27 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-46
- use safe temp file location
- ocf-shellfuncs: ocf_is_clone(): fix to return true when clone-max
  is set to 0

  Resolves: rhbz#1817432
  Resolves: rhbz#1817598

* Wed Mar 18 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-45
- azure-lb: support using socat instead of nc
- aws-vpc-move-ip: add "routing_table_role" parameter
- redis: fix validate-all action and run it during start

  Resolves: rhbz#1804658
  Resolves: rhbz#1810466
  Resolves: rhbz#1792237

* Fri Mar  6 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-44
- lvmlockd: automatically remove locking_type from lvm.conf for LVM
  v2.03+

  Resolves: rhbz#1808468

* Tue Jan 28 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-43
- rabbitmq-cluster: delete nodename when stop fails

  Resolves: rhbz#1792196

* Thu Jan 23 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-42
- IPsrcaddr: add destination and table parameters

  Resolves: rhbz#1744224

* Mon Jan 13 2020 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-40
- podman: improve image exist check
- IPaddr2: add CLUSTERIP not supported info to metadata/manpage
- Filesystem: refresh UUID if block device doesnt exist

  Resolves: rhbz#1788889
  Resolves: rhbz#1767916
  Resolves: rhbz#1777381

* Wed Nov 27 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-38
- IPaddr2: add noprefixroute parameter

  Resolves: rhbz#1741042

* Wed Nov 13 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-36
- exportfs: allow multiple exports with same fsid
- mysql/galera: fix incorrect rc

  Resolves: rhbz#1764888
  Resolves: rhbz#1765128

* Mon Oct 14 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-35
- Route: dont fence when parameters not set
- LVM-activate: add partial-activation support

  Resolves: rhbz#1750261
  Resolves: rhbz#1741843

* Wed Oct  2 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-34
- LVM/clvm: remove manpages for excluded agents
- LVM-activate: return NOT_RUNNING when node rejoins cluster
- LVM-activate: detect systemid volume without reboot
- Filesystem: add symlink support
- Filesystem: avoid corrupt mount-list and dont kill incorrect processes
  for bind-mounts
- IPsrcaddr: make proto optional to fix regression when used without
  NetworkManager
- docker: fix stop issues
- rabbitmq-cluster: also restore users in single node mode
- IPaddr2: sanitize compressed IPv6 IPs
- nfsserver: systemd performance improvements
- NovaEvacuate: add "evacuate_delay" parameter

  Resolves: rhbz#1694392
  Resolves: rhbz#1695039
  Resolves: rhbz#1738428
  Resolves: rhbz#1744103
  Resolves: rhbz#1744140
  Resolves: rhbz#1757837
  Resolves: rhbz#1748768
  Resolves: rhbz#1750352
  Resolves: rhbz#1751700
  Resolves: rhbz#1751962
  Resolves: rhbz#1755760

* Tue Aug 27 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-33
- rabbitmq-cluster: fail monitor when node is in minority partition,
  fix stop regression, retry start when cluster join fails, ensure
  node attributes are removed

  Resolves: rhbz#1745713

* Mon Aug 12 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-32
- mysql/galera: use runuser/su to avoid using DAC_OVERRIDE

  Resolves: rhbz#1692960

* Wed Aug  7 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-31
- podman: add drop-in dependency support

  Resolves: rhbz#1736746

* Wed Jul 31 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-30
- iSCSITarget/iSCSILogicalUnit: only create iqn/acls when it doesnt
  exist

  Resolves: rhbz#1692413

* Tue Jul 30 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-29
- CTDB: add support for v4.9+

  Resolves: rhbz#1732867

* Tue Jul 23 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-28
- podman: fixes to avoid bundle resources restarting when probing
  takes too long
- LVM-activate: fix monitor to avoid hang caused by validate-all call

  Resolves: rhbz#1718219
  Resolves: rhbz#1730455

* Wed Jun 19 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-27
- ocf_log: do not log debug messages when HA_debug unset
- Filesystem: remove notify-action from metadata
- dhcpd keep SELinux context in chroot

  Resolves: rhbz#1707969
  Resolves: rhbz#1717759
  Resolves: rhbz#1719684

* Tue Jun 11 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-26
- sap/sap-hana: split subpackages into separate packages

  Resolves: rhbz#1705767

* Wed May 29 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-24
- Squid: fix PID file issue

  Resolves: rhbz#1689184

* Tue May 28 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-23
- Route: make family parameter optional
- redis: mute password warning

  Resolves: rhbz#1669140
  Resolves: rhbz#1683548

* Thu May 23 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-22
- aws-vpc-move-ip: add multi route-table support and fix issue
  w/multiple NICs

  Resolves: rhbz#1697559

* Fri Apr  5 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-21
- gcp-vpc-move-route/gcp-vpc-move-vip: fix Python 3 encoding issue

  Resolves: rhbz#1695656

* Mon Apr  1 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-20
- aws-vpc-move-ip: use "--query" to avoid a possible race condition
- gcloud-ra: fix Python 3 issue and remove Python 2 detection

  Resolves: rhbz#1693662
  Resolves: rhbz#1691456

* Thu Mar 21 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-19
- Add CI gating tests
- LVM-activate: support LVs from same VG
- tomcat: use systemd when catalina.sh is unavailable
- Fixed python-devel/perl build dependencies

  Resolves: rhbz#1682136
  Resolves: rhbz#1667414
  Resolves: rhbz#1666691
  Resolves: rhbz#1595854

* Thu Mar  7 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-18
- aliyun-vpc-move-ip: exclude from main package
- aliyuncli-ra: upgrade bundled python-aliyun-sdk-core and fix Python 3 issues
- ocf.py: byte compile

  Resolves: rhbz#1677204
  Resolves: rhbz#1677981
  Resolves: rhbz#1678874

* Tue Feb  5 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-17
- LVM-activate: dont require locking_type

  Resolves: rhbz#1658664

* Fri Jan 11 2019 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-16
- vdo-vol: fix monitor-action
- LVM-activate: dont fail initial probe

  Resolves: rhbz#1662466
  Resolves: rhbz#1643307

* Tue Oct 23 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-15
- nfsserver: fix start-issues when nfs_shared_infodir parameter is
  changed

  Resolves: rhbz#1642027

* Mon Oct  8 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-14
- redis: use basename in pidof to avoid issues in containers

  Resolves: rhbz#1635785

* Wed Sep 26 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-11
- Remove grpc from bundle

  Resolves: rhbz#1630627

* Fri Sep 21 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-10
- systemd-tmpfiles: change path to /run/resource-agents

  Resolves: rhbz#1631291

* Fri Aug 24 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-9
- podman: new resource agent

  Resolves: rhbz#1607607

* Wed Aug 22 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-8
- LVM: fix missing dash in activate_options
- LVM-activate: warn about incorrect vg_access_mode
- lvmlockd: add cmirrord support

* Wed Aug  1 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-7
- findif: only match lines containing netmasks

* Mon Jul 30 2018 Florian Weimer <fweimer@redhat.com> - 4.1.1-6
- Rebuild with fixed binutils

* Fri Jul 27 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-5
- vdo-vol: new resource agent

  Resolves: rhbz#1552330

* Wed Jul  4 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-4
- VirtualDomain: add stateless support
- Exclude unsupported agents

* Thu Jun 28 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-3
- Added SAPHana and OpenStack agents

* Fri May 25 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-2
- Remove unsupported clvm and LVM agents

* Tue Mar 13 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.1-1
- Rebase to resource-agents 4.1.1 upstream release.

* Mon Feb 19 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.0-2
- Add gcc to BuildRequires

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.1.0-1.1
- Escape macros in %%changelog

* Wed Jan 10 2018 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.1.0-1
- Rebase to resource-agents 4.1.0 upstream release.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-1.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb  2 2017 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.0.1-1
- Rebase to resource-agents 4.0.1 upstream release.

* Wed Feb  1 2017 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.0.0-2
- galera: remove "long SST monitoring" support due to corner-case issues

* Tue Jan 31 2017 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.0.0-1
- Rebase to resource-agents 4.0.0 upstream release.

* Thu Dec 15 2016 Oyvind Albrigtsen <oalbrigt@redhat.com> - 3.9.7-6
- Add netstat dependency

* Tue Feb  9 2016 Oyvind Albrigtsen <oalbrigt@redhat.com> - 3.9.7-4
- Rebase to resource-agents 3.9.7 upstream release.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.6-2.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.6-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 20 2015 David Vossel <dvossel@redhat.com> - 3.9.6-2
- Rebase to latest upstream code in order to pull in rabbitmq-cluster agent

* Fri Feb 13 2015 David Vossel <dvossel@redhat.com> - 3.9.6-1
- Rebase to resource-agents 3.9.6 upstream release.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.5-12.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.5-12.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 David Vossel <dvossel@redhat.com> - 3.9.5-12
- Sync with latest upstream.

* Thu Jan 2 2014 David Vossel <dvossel@redhat.com> - 3.9.5-11
- Sync with latest upstream.

* Sun Oct 20 2013 David Vossel <dvossel@redhat.com> - 3.9.5-10
- Fix build system for rawhide.

* Wed Oct 16 2013 David Vossel <dvossel@redhat.com> - 3.9.5-9
- Remove rgmanager agents from build. 

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 3.9.5-7
- Perl 5.18 rebuild

* Tue Jun 18 2013 David Vossel <dvossel@redhat.com> - 3.9.5-6
- Restores rsctmp directory to upstream default.

* Tue Jun 18 2013 David Vossel <dvossel@redhat.com> - 3.9.5-5
- Merges redhat provider into heartbeat provider. Remove
  rgmanager's redhat provider.

  Resolves: rhbz#917681
  Resolves: rhbz#928890
  Resolves: rhbz#952716
  Resolves: rhbz#960555

* Tue Mar 12 2013 David Vossel <dvossel@redhat.com> - 3.9.5-3
- Fixes build system error with conditional logic involving
  IPv6addr and updates spec file to build against rhel 7 as
  well as fedora 19.

* Mon Mar 11 2013 David Vossel <dvossel@redhat.com> - 3.9.5-2
- Resolves rhbz#915050

* Mon Mar 11 2013 David Vossel <dvossel@redhat.com> - 3.9.5-1
- New upstream release.

* Fri Jan 25 2013 Kevin Fenzi <kevin@scrye.com> - 3.9.2-5
- Fix cifs mount requires

* Mon Nov 12 2012 Chris Feist <cfeist@redhat.com> - 3.9.2-4
- Removed version number after dist

* Mon Oct 29 2012 Chris Feist <cfeist@redhat.com> - 3.9.2-3.8
- Remove cluster-glue-libs-devel
- Disable IPv6addr & sfex to fix deps on libplumgpl & libplum (due to
  disappearance of cluster-glue in F18)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.2-3.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 05 2012 Chris Feist <cfeist@redhat.com> - 3.9.2-3.4
- Fix location of lvm (change from /sbin to /usr/sbin)

* Wed Apr 04 2012 Jon Ciesla <limburgher@gmail.com> - 3.9.2-3.3
- Rebuilt to fix rawhide dependency issues (caused by move of fsck from
  /sbin to /usr/sbin).

* Fri Mar 30 2012 Jon Ciesla <limburgher@gmail.com> - 3.9.2-3.1
- libnet rebuild.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.2-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul  8 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.9.2-2
- add post call to resource-agents to integrate with cluster 3.1.4

* Thu Jun 30 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.9.2-1
- new upstream release
- fix 2 regressions from 3.9.1

* Mon Jun 20 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.9.1-1
- new upstream release
- import spec file from upstream

* Tue Mar  1 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.1.1-1
- new upstream release 3.1.1 and 1.0.4

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec  2 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.1.0-1
- new upstream release
- spec file update:
  Update upstream URL
  Update source URL
  use standard configure macro
  use standard make invokation

* Thu Oct  7 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.17-1
- new upstream release
  Resolves: rhbz#632595, rhbz#633856, rhbz#632385, rhbz#628013
  Resolves: rhbz#621313, rhbz#595383, rhbz#580492, rhbz#605733
  Resolves: rhbz#636243, rhbz#591003, rhbz#637913, rhbz#634718
  Resolves: rhbz#617247, rhbz#617247, rhbz#617234, rhbz#631943
  Resolves: rhbz#639018

* Thu Oct  7 2010 Andrew Beekhof <andrew@beekhof.net> - 3.0.16-2
- new upstream release of the Pacemaker agents: 71b1377f907c

* Thu Sep  2 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.16-1
- new upstream release
  Resolves: rhbz#619096, rhbz#614046, rhbz#620679, rhbz#619680
  Resolves: rhbz#621562, rhbz#621694, rhbz#608887, rhbz#622844
  Resolves: rhbz#623810, rhbz#617306, rhbz#623816, rhbz#624691
  Resolves: rhbz#622576

* Thu Jul 29 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.14-1
- new upstream release
  Resolves: rhbz#553383, rhbz#557563, rhbz#578625, rhbz#591003
  Resolves: rhbz#593721, rhbz#593726, rhbz#595455, rhbz#595547
  Resolves: rhbz#596918, rhbz#601315, rhbz#604298, rhbz#606368
  Resolves: rhbz#606470, rhbz#606480, rhbz#606754, rhbz#606989
  Resolves: rhbz#607321, rhbz#608154, rhbz#608887, rhbz#609181
  Resolves: rhbz#609866, rhbz#609978, rhbz#612097, rhbz#612110
  Resolves: rhbz#612165, rhbz#612941, rhbz#614127, rhbz#614356
  Resolves: rhbz#614421, rhbz#614457, rhbz#614961, rhbz#615202
  Resolves: rhbz#615203, rhbz#615255, rhbz#617163, rhbz#617566
  Resolves: rhbz#618534, rhbz#618703, rhbz#618806, rhbz#618814

* Mon Jun  7 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.13-1
- new upstream release
  Resolves: rhbz#592103, rhbz#593108, rhbz#578617, rhbz#594626
  Resolves: rhbz#594511, rhbz#596046, rhbz#594111, rhbz#597002
  Resolves: rhbz#599643

* Tue May 18 2010 Andrew Beekhof <andrew@beekhof.net> - 3.0.12-2
- libnet is not available on RHEL
- Do not package ldirectord on RHEL
  Resolves: rhbz#577264

* Mon May 10 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.12-1
- new upstream release
  Resolves: rhbz#585217, rhbz#586100, rhbz#581533, rhbz#582753
  Resolves: rhbz#582754, rhbz#585083, rhbz#587079, rhbz#588890
  Resolves: rhbz#588925, rhbz#583789, rhbz#589131, rhbz#588010
  Resolves: rhbz#576871, rhbz#576871, rhbz#590000, rhbz#589823

* Mon May 10 2010 Andrew Beekhof <andrew@beekhof.net> - 3.0.12-1
- New pacemaker agents upstream release: a7c0f35916bf
  + High: pgsql: properly implement pghost parameter
  + High: RA: mysql: fix syntax error
  + High: SAPInstance RA: do not rely on op target rc when monitoring clones (lf#2371)
  + High: set the HA_RSCTMP directory to /var/run/resource-agents (lf#2378)
  + Medium: IPaddr/IPaddr2: add a description of the assumption in meta-data
  + Medium: IPaddr: return the correct code if interface delete failed
  + Medium: nfsserver: rpc.statd as the notify cmd does not work with -v (thanks to Carl Lewis)
  + Medium: oracle: reduce output from sqlplus to the last line for queries (bnc#567815)
  + Medium: pgsql: implement "config" parameter
  + Medium: RA: iSCSITarget: follow changed IET access policy

* Wed Apr 21 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.11-1
- new upstream release
  Resolves: rhbz#583945, rhbz#581047, rhbz#576330, rhbz#583017
  Resolves: rhbz#583019, rhbz#583948, rhbz#584003, rhbz#582017
  Resolves: rhbz#555901, rhbz#582754, rhbz#582573, rhbz#581533
- Switch to file based Requires.
  Also address several other problems related to missing runtime
  components in different agents.
  With the current Requires: set, we guarantee all basic functionalities
  out of the box for lvm/fs/clusterfs/netfs/networking.
  Resolves: rhbz#570008

* Sat Apr 17 2010 Andrew Beekhof <andrew@beekhof.net> - 3.0.10-2
- New pacemaker agents upstream release
  + High: RA: vmware: fix set_environment() invocation (LF 2342)
  + High: RA: vmware: update to version 0.2
  + Medium: Filesystem: prefer /proc/mounts to /etc/mtab for non-bind mounts (lf#2388)
  + Medium: IPaddr2: don't bring the interface down on stop (thanks to Lars Ellenberg)
  + Medium: IPsrcaddr: modify the interface route (lf#2367)
  + Medium: ldirectord: Allow multiple email addresses (LF 2168)
  + Medium: ldirectord: fix setting defaults for configfile and ldirectord (lf#2328)
  + Medium: meta-data: improve timeouts in most resource agents
  + Medium: nfsserver: use default values (lf#2321)
  + Medium: ocf-shellfuncs: don't log but print to stderr if connected to a terminal
  + Medium: ocf-shellfuncs: don't output to stderr if using syslog
  + Medium: oracle/oralsnr: improve exit codes if the environment isn't valid
  + Medium: RA: iSCSILogicalUnit: fix monitor for STGT
  + Medium: RA: make sure that OCF_RESKEY_CRM_meta_interval is always defined (LF 2284)
  + Medium: RA: ManageRAID: require bash
  + Medium: RA: ManageRAID: require bash
  + Medium: RA: VirtualDomain: bail out early if config file can't be read during probe (Novell 593988)
  + Medium: RA: VirtualDomain: fix incorrect use of __OCF_ACTION
  + Medium: RA: VirtualDomain: improve error messages
  + Medium: RA: VirtualDomain: spin on define until we definitely have a domain name
  + Medium: Route: add route table parameter (lf#2335)
  + Medium: sfex: don't use pid file (lf#2363,bnc#585416)
  + Medium: sfex: exit with success on stop if sfex has never been started (bnc#585416)

* Fri Apr  9 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.10-1
- New rgmanager resource agents upstream release
  Resolves: rhbz#519491, rhbz#570525, rhbz#571806, rhbz#574027
  Resolves: rhbz#574215, rhbz#574886, rhbz#576322, rhbz#576335
  Resolves: rhbz#575103, rhbz#577856, rhbz#577874, rhbz#578249
  Resolves: rhbz#578625, rhbz#578626, rhbz#578628, rhbz#578626
  Resolves: rhbz#579621, rhbz#579623, rhbz#579625, rhbz#579626
  Resolves: rhbz#579059

* Wed Mar 24 2010 Andrew Beekhof <andrew@beekhof.net> - 3.0.9-2
- Resolves: rhbz#572993 - Patched build process to correctly generate ldirectord man page
- Resolves: rhbz#574732 - Add libnet-devel as a dependancy to ensure IPaddrv6 is built

* Mon Mar  1 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.9-1
- New rgmanager resource agents upstream release
  Resolves: rhbz#455300, rhbz#568446, rhbz#561862, rhbz#536902
  Resolves: rhbz#512171, rhbz#519491

* Mon Feb 22 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.8-1
- New rgmanager resource agents upstream release
  Resolves: rhbz#548133, rhbz#565907, rhbz#545602, rhbz#555901
  Resolves: rhbz#564471, rhbz#515717, rhbz#557128, rhbz#536157
  Resolves: rhbz#455300, rhbz#561416, rhbz#562237, rhbz#537201
  Resolves: rhbz#536962, rhbz#553383, rhbz#556961, rhbz#555363
  Resolves: rhbz#557128, rhbz#455300, rhbz#557167, rhbz#459630
  Resolves: rhbz#532808, rhbz#556603, rhbz#554968, rhbz#555047
  Resolves: rhbz#554968, rhbz#555047
- spec file update:
  * update spec file copyright date
  * use bz2 tarball

* Fri Jan 15 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.7-2
- Add python as BuildRequires

* Mon Jan 11 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.7-1
- New rgmanager resource agents upstream release
  Resolves: rhbz#526286, rhbz#533461

* Mon Jan 11 2010 Andrew Beekhof <andrew@beekhof.net> - 3.0.6-2
- Update Pacameker agents to upstream version: c76b4a6eb576
  + High: RA: VirtualDomain: fix forceful stop (LF 2283)
  + High: apache: monitor operation of depth 10 for web applications (LF 2234)
  + Medium: IPaddr2: CLUSTERIP/iptables rule not always inserted on failed monitor (LF 2281)
  + Medium: RA: Route: improve validate (LF 2232)
  + Medium: mark obsolete RAs as deprecated (LF 2244)
  + Medium: mysql: escalate stop to KILL if regular shutdown doesn't work

* Mon Dec 7 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.6-1
- New rgmanager resource agents upstream release
- spec file update:
  * use global instead of define
  * use new Source0 url
  * use %%name macro more aggressively

* Mon Dec 7 2009 Andrew Beekhof <andrew@beekhof.net> - 3.0.5-2
- Update Pacameker agents to upstream version: bc00c0b065d9
  + High: RA: introduce OCF_FUNCTIONS_DIR, allow it to be overridden (LF2239)
  + High: doc: add man pages for all RAs (LF2237)
  + High: syslog-ng: new RA
  + High: vmware: make meta-data work and several cleanups (LF 2212)
  + Medium: .ocf-shellfuncs: add ocf_is_probe function
  + Medium: Dev: make RAs executable (LF2239)
  + Medium: IPv6addr: ifdef out the ip offset hack for libnet v1.1.4 (LF 2034)
  + Medium: add mercurial repository version information to .ocf-shellfuncs
  + Medium: build: add perl-MailTools runtime dependency to ldirectord package (LF 1469)
  + Medium: iSCSITarget, iSCSILogicalUnit: support LIO
  + Medium: nfsserver: use check_binary properly in validate (LF 2211)
  + Medium: nfsserver: validate should not check if nfs_shared_infodir exists (thanks to eelco@procolix.com) (LF 2219)
  + Medium: oracle/oralsnr: export variables properly
  + Medium: pgsql: remove the previous backup_label if it exists
  + Medium: postfix: fix double stop (thanks to Dinh N. Quoc)
  + RA: LVM: Make monitor operation quiet in logs (bnc#546353)
  + RA: Xen: Remove instance_attribute "allow_migrate" (bnc#539968)
  + ldirectord: OCF agent: overhaul

* Fri Nov 20 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.5-1
- New rgmanager resource agents upstream release
- Allow pacemaker to use rgmanager resource agents

* Wed Oct 28 2009 Andrew Beekhof <andrew@beekhof.net> - 3.0.4-2
- Update Pacameker agents to upstream version: e2338892f59f
  + High: send_arp - turn on unsolicited mode for compatibilty with the libnet version's exit codes
  + High: Trap sigterm for compatibility with the libnet version of send_arp
  + Medium: Bug - lf#2147: IPaddr2: behave if the interface is down
  + Medium: IPv6addr: recognize network masks properly
  + Medium: RA: VirtualDomain: avoid needlessly invoking "virsh define"

* Wed Oct 21 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.4-1
- New rgmanager resource agents upstream release

* Mon Oct 12 2009 Andrew Beekhof <andrew@beekhof.net> - 3.0.3-3
- Update Pacameker agents to upstream version: 099c0e5d80db
  + Add the ha_parameter function back into .ocf-shellfuncs.
  + Bug bnc#534803 - Provide a default for MAILCMD
  + Fix use of undefined macro @HA_NOARCHDATAHBDIR@
  + High (LF 2138): IPsrcaddr: replace 0/0 with proper ip prefix (thanks to Michael Ricordeau and Michael Schwartzkopff)
  + Import shellfuncs from heartbeat as badly written RAs use it
  + Medium (LF 2173): nfsserver: exit properly in nfsserver_validate
  + Medium: RA: Filesystem: implement monitor operation
  + Medium: RA: VirtualDomain: loop on status if libvirtd is unreachable
  + Medium: RA: VirtualDomain: loop on status if libvirtd is unreachable (addendum)
  + Medium: RA: iSCSILogicalUnit: use a 16-byte default SCSI ID
  + Medium: RA: iSCSITarget: be more persistent deleting targets on stop
  + Medium: RA: portblock: add per-IP filtering capability
  + Medium: mysql-proxy: log_level and keepalive parameters
  + Medium: oracle: drop spurious output from sqlplus
  + RA: Filesystem: allow configuring smbfs mounts as clones

* Wed Sep 23 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.3-1
- New rgmanager resource agents upstream release

* Thu Aug 20 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.1-1
- New rgmanager resource agents upstream release

* Tue Aug 18 2009 Andrew Beekhof <andrew@beekhof.net> - 3.0.0-16
- Create an ldirectord package
- Update Pacameker agents to upstream version: 2198dc90bec4
  + Build: Import ldirectord.
  + Ensure HA_VARRUNDIR has a value to substitute
  + High: Add findif tool (mandatory for IPaddr/IPaddr2)
  + High: IPv6addr: new nic and cidr_netmask parameters
  + High: postfix: new resource agent
  + Include license information
  + Low (LF 2159): Squid: make the regexp match more precisely output of netstat
  + Low: configure: Fix package name.
  + Low: ldirectord: add dependency on $remote_fs.
  + Low: ldirectord: add mandatory required header to init script.
  + Medium (LF 2165): IPaddr2: remove all colons from the mac address before passing it to send_arp
  + Medium: VirtualDomain: destroy domain shortly before timeout expiry
  + Medium: shellfuncs: Make the mktemp wrappers work.
  + Remove references to Echo function
  + Remove references to heartbeat shellfuncs.
  + Remove useless path lookups
  + findif: actually include the right header. Simplify configure.
  + ldirectord: Remove superfluous configure artifact.
  + ocf-tester: Fix package reference and path to DTD.

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 3.0.0-15
- Use bzipped upstream hg tarball.

* Wed Jul 29 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-14
- Merge Pacemaker cluster resource agents:
  * Add Source1.
  * Drop noarch. We have real binaries now.
  * Update BuildRequires.
  * Update all relevant prep/build/install/files/description sections.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  8 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-12
- spec file updates:
  * Update copyright header
  * final release.. undefine alphatag

* Thu Jul  2 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-11.rc4
- New upstream release.

* Sat Jun 20 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-10.rc3
- New upstream release.

* Wed Jun 10 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-9.rc2
- New upstream release + git94df30ca63e49afb1e8aeede65df8a3e5bcd0970

* Tue Mar 24 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-8.rc1
- New upstream release.
- Update BuildRoot usage to preferred versions/names

* Mon Mar  9 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-7.beta1
- New upstream release.

* Fri Mar  6 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-6.alpha7
- New upstream release.

* Tue Mar  3 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-5.alpha6
- New upstream release.

* Tue Feb 24 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-4.alpha5
- Drop Conflicts with rgmanager.

* Mon Feb 23 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-3.alpha5
- New upstream release.

* Thu Feb 19 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-2.alpha4
- Add comments on how to build this package.

* Thu Feb  5 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-1.alpha4
- New upstream release.
- Fix datadir/cluster directory ownership.

* Tue Jan 27 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-1.alpha3
  - Initial packaging
